Overview | Package | Class | Tree | Deprecated | Index | Help
| J2EE1.4 SDK
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.appserv.management.deploy
Class DeploymentSupport

    java.lang.Object
      com.sun.appserv.management.deploy.DeploymentSupport

public final class DeploymentSupport
extends java.lang.Object

Routines to convert to/from Map and Deployment types. {link com.sun.appserv.management.deploy.DeploymentMgr}

Constructor Summary
`DeploymentSupport()`

Method Summary
`static DeploymentProgress` | `mapToDeploymentProgress(java.util.Map m)` Create a DeploymentProgress represented by a Map.
`static DeploymentSource` | `mapToDeploymentSource(java.util.Map m)` Create a DeploymentSource represented by a Map.
`static DeploymentStatus` | `mapToDeploymentStatus(java.util.Map m)` Create a DeploymentProgress represented by a Map.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DeploymentSupport

    public DeploymentSupport()

Method Detail

### mapToDeploymentSource

    public static DeploymentSource mapToDeploymentSource(java.util.Map m)

  Create a DeploymentSource represented by a Map.

  Parameters:
    `m` - a Map representing a DeploymentSource.
  Returns:
    an implementation of DeploymentSource

### mapToDeploymentProgress

    public static DeploymentProgress mapToDeploymentProgress(java.util.Map m)

  Create a DeploymentProgress represented by a Map.

  Parameters:
    `m` - a Map representing a DeploymentProgress.
  Returns:
    an implementation of DeploymentProgress

### mapToDeploymentStatus

    public static DeploymentStatus mapToDeploymentStatus(java.util.Map m)

  Create a DeploymentProgress represented by a Map.

  Parameters:
    `m` - a Map representing a DeploymentStatus.
  Returns:
    a DeploymentStatus

Overview | Package | Class | Tree | Deprecated | Index | Help
| J2EE1.4 SDK
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature

Copyright 2003 Sun Microsystems, Inc. All rights reserved.